<template>
 <div class="display">
    <div style="position:absolute">
      <img src="../assets/images/aisotipo.svg" alt="logo-mitad" width="80%">
    </div>
    <el-row > 
      <el-col :span="13">
        <p class="text-orange text-center font-login" style="padding-top: 29%;">Juntémonos +</p>
      </el-col>
      <el-col :span="7">
        <div class="card-general">
          <div class="card-bienvenido">
             <img src="../assets/images/tv-bienvenido.svg" alt="bienvenido" style="width:100%">    
          </div>
          <div style="padding-bottom:3rem">
             <div id="firebaseui-auth-container"></div>
          </div>       
        </div>     
      </el-col>     
    </el-row>
  </div>
</template>
<style>

.card-bienvenido {
  padding-left: 20%
}
.card-general {
  box-shadow: 6px 6px 4px 0px rgba(244,168,135,1);
  border:1px solid #d7d7d7;
  border-radius: 7px;
}
.container-button {
  display: flex;
  justify-content: center;
}

.display {
  padding: 0px;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

</style>
<script>

import firebase from 'firebase';
import firebaseui from 'firebaseui'
import { config } from '../helpers/firebaseConfig';

export default {
  name: 'login',
  beforeRouteLeave (to, from, next) {
    const answer = localStorage.getItem('rutas')
    const answernoaccess = localStorage.getItem('noaccess')
    if (answer || answernoaccess) {
      next()
    } else {
      next(false)
    }
  },

    mounted() {
    var uiConfig = {
     callbacks: {
      signInSuccess: () => false,
      },
      // signInSuccessUrl: '/login',
      signInOptions: [
        firebase.auth.GoogleAuthProvider.PROVIDER_ID,
        ]
      };
      let ui = firebaseui.auth.AuthUI.getInstance();
      if (!ui) {
        // console.log(!ui, 'si sale true es porque no que estoy registrada en firebase')
        ui = new firebaseui.auth.AuthUI(firebase.auth());
       }
      ui.start('#firebaseui-auth-container', uiConfig);   
    },
}
</script>


